#!/usr/bin/env node
var __create = Object.create;
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __getProtoOf = Object.getPrototypeOf;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toESM = (mod, isNodeMode, target) => (target = mod != null ? __create(__getProtoOf(mod)) : {}, __copyProps(isNodeMode || !mod || !mod.__esModule ? __defProp(target, "default", { value: mod, enumerable: true }) : target, mod));
var fs = __toESM(require("fs"));
var path = __toESM(require("path"));
main().catch(console.error);
async function main() {
  if (process.argv.length < 3) {
    console.error("Usage: npx rmx-cli <command>");
    process.exit(1);
  }
  const cliPath = path.dirname(fs.realpathSync(process.argv[1]));
  const commandName = process.argv[2];
  if (!fs.existsSync(path.join(cliPath, "commands", `${commandName}.js`))) {
    console.error("Unknown command: " + commandName);
    process.exit(1);
  }
  const commandPath = "file://" + path.join(cliPath, "commands", `${commandName}.js`);
  const command = (await import(commandPath)).default;
  const args = process.argv.slice(3);
  await command.default(args);
}
