var __create = Object.create;
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __getProtoOf = Object.getPrototypeOf;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toESM = (mod, isNodeMode, target) => (target = mod != null ? __create(__getProtoOf(mod)) : {}, __copyProps(isNodeMode || !mod || !mod.__esModule ? __defProp(target, "default", { value: mod, enumerable: true }) : target, mod));
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);
var get_esm_packages_exports = {};
__export(get_esm_packages_exports, {
  default: () => get_esm_packages_default
});
module.exports = __toCommonJS(get_esm_packages_exports);
var fs = __toESM(require("node:fs"));
function get_esm_packages_default(args) {
  let esmPackages = /* @__PURE__ */ new Set();
  function getDependencies(packageName) {
    const packageJsonFilename = `./node_modules/${packageName}/package.json`;
    if (!fs.existsSync(packageJsonFilename)) {
      console.log(`\u26A0\uFE0F ${packageName} package.json not found`);
      return;
    }
    const json = fs.readFileSync(packageJsonFilename, "utf8");
    const packageJson = JSON.parse(json);
    if (packageJson.type === "module" || packageJson.module) {
      if (esmPackages.has(packageName))
        return;
      console.log(`\u{1F4E6} ${packageName}`);
      esmPackages.add(packageName);
      const dependencies = packageJson.dependencies || {};
      Object.keys(dependencies).forEach((dependency) => {
        getDependencies(dependency);
      });
    }
  }
  args.forEach((packageName) => {
    getDependencies(packageName);
  });
  console.log("\n\u{1F528} Add the following dependencies to your serverDependenciesToBundle\n");
  console.log(Array.from(esmPackages.values()).sort().map((packageName) => `"${packageName}"`).join(",\n"));
}
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {});
