var __create = Object.create;
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __getProtoOf = Object.getPrototypeOf;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toESM = (mod, isNodeMode, target) => (target = mod != null ? __create(__getProtoOf(mod)) : {}, __copyProps(isNodeMode || !mod || !mod.__esModule ? __defProp(target, "default", { value: mod, enumerable: true }) : target, mod));
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);
var version_exports = {};
__export(version_exports, {
  default: () => version_default
});
module.exports = __toCommonJS(version_exports);
var fs = __toESM(require("node:fs"));
function version_default(args) {
  const packageJsonFilename = `./package.json`;
  const packageJson = fs.readFileSync(packageJsonFilename, "utf8");
  const packageJsonParsed = JSON.parse(packageJson);
  const allDependencies = [
    ...Object.keys(packageJsonParsed.dependencies || {}),
    ...Object.keys(packageJsonParsed.devDependencies || {})
  ];
  const re = /^(remix|@remix-run\/\w+|react-router(-dom)?)$/;
  const filteredDependencies = allDependencies.filter((packageName) => re.test(packageName));
  filteredDependencies.forEach((packageName) => {
    const version = getVersion(packageName);
    if (version) {
      console.log(`\u{1F4E6} ${packageName} version: ${version}`);
    }
  });
  function getVersion(packageName) {
    const packageJsonFilename2 = `./node_modules/${packageName}/package.json`;
    if (!fs.existsSync(packageJsonFilename2)) {
      console.log(`\u26A0\uFE0F ${packageName} package.json not found`);
      return;
    }
    const json = fs.readFileSync(packageJsonFilename2, "utf8");
    const packageJson2 = JSON.parse(json);
    return packageJson2.version;
  }
}
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {});
